services:
  frontend:
    # image: registry.uniworx.de/fradrive/fradrive/frontend # TODO: reference to current branch required; how to do that here?
    # pull_policy: if_not_present
    build:
      dockerfile: ./docker/frontend/Dockerfile
      context: .
    environment:
      - PROJECT_DIR=/fradrive
    volumes:
      - &fradrive-mnt .:/tmp/fradrive
  backend:
    # image: registry.uniworx.de/fradrive/fradrive/backend
    # pull_policy: if_not_present
    build:
      dockerfile: ./docker/backend/Dockerfile
      context: ./
    volumes:
      - *fradrive-mnt
    depends_on:
      - frontend
    stdin_open: true
  database:
    # image: registry.uniworx.de/fradrive/fradrive/database
    # pull_policy: if_not_present
    build: ./docker/database
    ports:
      - "9876:5432"
    # privileged: true

#     driver: local
#     driver_opts:
#       type: none
#       o: bind
#       device: ./